#ifndef _SUB_H_
#define _SUB_H_
#include "fpoint.h"
void sub_1699F4(int *r0_pi, int *r1_pi);
void sub_16A88C(fpointQ<PointType_18>&r0_pfpointQ,fpointQ<PointType_18>&r1_pfpointQ);
void sub_16C3E2(fpointQ<PointType_18>&r0_pfpointQ,fpointQ<PointType_18>& r1_pfpointQ,fpointQ<PointType_18>& r2_pfpointQ);
void sub_16C672(fpoint3<PointType_18>&r0_pfpoint3,fpoint3<PointType_18> &r1_pfpoint3,fpoint<PointType_18>* r2_pfpoint);
void sub_16A818(int *r0_pi, int *r1_pi);
void sub_166CB2(int *r0_pi, fpoint2<PointType_14> *r1_pfpoint);
void sub_16D8B2(int *r0_pi, fpoint3<PointType_18> &r1_pfpoint3);
void sub_16C7DC(fpoint3<PointType_18> &r0_pfpoint3,fpoint3<PointType_18> &r1_pfpoint3,fpoint3<PointType_18>&r2_pfpoint3) ;
void sub_16C74C(fpoint<PointType_18> &r0_pfpoint,fpoint3<PointType_18> &r1_pfpoint3,fpoint3<PointType_18> &r2_pfpoint3);
void  sub_16A57C(int&,int&);
void  sub_16A6CC(int&,int&);
#endif  //_SUB_H_